#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(1, 2000, "n"); ///mozhno pomenyat
    inf.readEoln();
    for(int i=0;i<n;++i) {
        string op=inf.readToken("=|+","op");
        ensure(op=="+" || op=="=");
        inf.readSpace();
        inf.readInt(1, 500, "v"); ///mozhno pomenyat
        inf.readSpace();
        string type=inf.readToken("sync|async","type");
        ensure(type=="sync" || type=="async");
        inf.readEoln();
    }
    inf.readEof();
}
